Gecode::FlatZinc::AuxVarBrancher::Choice Class Reference

Choice that only signals failure or success More...

## Public Member Functions

| Choice (const Brancher &b, bool fail0)
| Initialize choice for brancher b.
virtual size_t | size (void) const
| Report size occupied.
virtual void | archive (Archive &e) const
| Archive into e.
Public Member Functions inherited from Gecode::Choice
unsigned int | alternatives (void) const
| Return number of alternatives.
virtual | ~Choice (void)
| Destructor.

## Public Attributes

bool | fail
| Whether brancher should fail.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Protected Member Functions inherited from Gecode::Choice
| Choice (const Brancher &b, const unsigned int a)
| Initialize for particular brancher b and alternatives a.

## Detailed Description

Choice that only signals failure or success

Definition at line 137 of file flatzinc.cpp.

## Constructor & Destructor Documentation

## Choice()

Gecode::FlatZinc::AuxVarBrancher::Choice::Choice | ( | const Brancher & | b,
|  | bool | fail0 )

inline

Initialize choice for brancher b.

Definition at line 142 of file flatzinc.cpp.

## Member Function Documentation

## size()

virtual size_t Gecode::FlatZinc::AuxVarBrancher::Choice::size | ( | void |  | ) | const

inline virtual

Report size occupied.

Definition at line 145 of file flatzinc.cpp.

## archive()

virtual void Gecode::FlatZinc::AuxVarBrancher::Choice::archive | ( | Archive & | e | ) | const

inline virtual

Archive into e.

Reimplemented from Gecode::Choice.

Definition at line 149 of file flatzinc.cpp.

## Member Data Documentation

## fail

bool Gecode::FlatZinc::AuxVarBrancher::Choice::fail

Whether brancher should fail.

Definition at line 140 of file flatzinc.cpp.

The documentation for this class was generated from the following file:

- gecode/flatzinc/flatzinc.cpp